# Gimp.Image.convert_color_profile

    @accepts(Gimp.Image, Gimp.ColorProfile, Gimp.ColorRenderingIntent, bool)
    @returns(bool)
    def convert_color_profile(self, profile, intent, bpc):
        # Python wrapper for gimp_image_convert_color_profile()

Convert the image's layers to a color profile

This procedure converts from the image's color profile (or the default profile if none is set) to the given color profile.

Only RGB and grayscale color profiles are accepted, according to the image's type.

Since 2.10

self

  The image.

profile

  The color profile to convert to.

intent

  Rendering intent.

bpc

  Black point compensation.

Returns